<?php

/*
 * This file is part of the Sylius package.
 *
 * (c) Paweł Jędrzejewski
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace spec\Sylius\Bundle\PaymentBundle\Form\Type;

use PhpSpec\ObjectBehavior;
use Sylius\Bundle\PaymentBundle\Form\Type\PaymentGatewayChoiceType;
use Symfony\Component\Form\FormTypeInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * @author Arnaud Langlade <arn0d.dev@gmail.com>
 */
final class PaymentGatewayChoiceTypeSpec extends ObjectBehavior
{
    function let()
    {
        $this->beConstructedWith(['offline' => 'Offline']);
    }

    function it_is_initializable()
    {
        $this->shouldHaveType(PaymentGatewayChoiceType::class);
    }

    function it_is_a_form_type()
    {
        $this->shouldImplement(FormTypeInterface::class);
    }

    function it_has_options(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'choices' => ['offline' => 'Offline'],
        ])->shouldBeCalled();

        $this->configureOptions($resolver);
    }

    function it_has_a_name()
    {
        $this->getParent()->shouldReturn('choice');
    }

    function it_has_a_parent()
    {
        $this->getName()->shouldReturn('sylius_payment_gateway_choice');
    }
}
